Bug 525881 - Please rebuild using external Adobe CMap and AGLFN data
Summary: Please rebuild using external Adobe CMap and AGLFN data
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Reopened
Depends On:
Blocks: FE-Legal F12Target
TreeView+ depends on / blocked
 
Reported: 2009-09-26 16:27 UTC by Nicolas Mailhot
Modified: 2018-06-13 17:55 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-06-13 17:55:55 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2009-09-26 16:27:18 UTC
Description of problem:

The Debian fonttool packager noticed a problem in fonttool's embedded Adobe CMap and AGLFN data and got Adobe to release them under a good license

This data is embeded in many packages, including yours

Please rebuild your package using an external shared Adobe CMap and AGLFN data package

FE-LEGAL since this was all triggered by a legal check Debian-side

See also
http://bonedaddy.net/pabs3/log/2009/09/24/adobe-data-freed/
http://lwn.net/Articles/354360/
http://opensource.adobe.com/wiki/display/cmap/CMap+Resources

Comment 1 Matthias Clasen 2009-09-27 22:09:51 UTC
Might be helpful to state what package is intended to provide those shared data files...

Comment 2 Kevin Kofler 2009-09-27 22:24:19 UTC
poppler-data has some of that stuff, but I think not all of it.

Comment 3 Nicolas Mailhot 2009-09-28 07:29:17 UTC
maintenance-wise, I think the simpler solution is to create a separate package for the Adobe stuff and have the miriad other packages that use it require or buildrequire it.

This way at least the legal bits will be traced properly and we'll be sure all our apps use the same CID values

Comment 4 Bug Zapper 2010-03-15 12:53:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora Admin XMLRPC Client 2010-09-22 13:54:57 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora Admin XMLRPC Client 2010-09-22 13:55:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Bug Zapper 2011-06-02 17:40:00 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2011-06-27 14:25:35 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Paul Flo Williams 2011-06-29 14:45:57 UTC
Rebased.

Comment 10 Tom "spot" Callaway 2018-06-13 17:55:55 UTC
I couldn't find any files in freetype to replace. If this is still valid, feel free to reopen.


Note You need to log in before you can comment on or make changes to this bug.